> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpertai.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Put apiaiknowledges



## OpenAPI

````yaml /api/openapi.ai.json put /api/ai/knowledges/{id}
openapi: 3.0.0
info:
  title: Xpert AI
  description: ''
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/ai/knowledges/{id}:
    put:
      tags:
        - AI/Knowledges
      operationId: KnowledgesController_updateKnowledgebase
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        description: Knowledgebase
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKnowledgebaseDTO'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateKnowledgebaseDTO:
      type: object
      properties:
        workspaceId:
          type: string
          format: uuid
          description: Integration ID of knowledge base system
        name:
          type: string
          example: Customer service knowledgebase
        description:
          type: string
        permission:
          type: string
          enum:
            - private
            - organization
            - public
          example: organization
          description: Knowledgebase Permission
          default: private
        type:
          type: string
          enum:
            - standard
            - external
          example: standard
          description: Knowledgebase Type
          default: standard
        recall:
          type: object
          description: Recall Options
          example:
            topK: 10
            score: 0.5
        parserConfig:
          type: object
          description: Parser Config
          example:
            chunkSize: 1000
            chunkOverlap: 100
            delimiter: ; , .
        integrationId:
          type: string
          format: uuid
          description: Integration ID of knowledge base system
        extKnowledgebaseId:
          type: string
        copilotModel:
          type: object
          description: Copilot embedding model
          example:
            copilotId: xxxx
            modelType: text-embedding
            model: text-embedding-v4
      required:
        - workspaceId
        - name
        - description
        - permission
        - type
        - recall
        - parserConfig
        - integrationId
        - extKnowledgebaseId
        - copilotModel
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````